/* Extends */

// Clearfix

%clearfix {
	zoom:1;
	
	&:before,
	&:after {
		content: "\0020";
		display: block;
		width: 100%;
		height: 0;
		overflow: hidden;
	}
	
	&:after {
		clear: both;
	}
}

// Hide the content text of a element (Like icon replacement of a menu item)

%hide-text {
	font: 0/0 a;
	text-shadow: none;
	color: transparent;
	overflow: hidden;
	
	a {
		display: block;
		width: 100%;
		height: 100%;
	}
}

// Inline icon fix (bullet point like icons called by icon mixin)

%inline-icon-left {
	display: inline-block;
	margin-right: 0.5em;
}

%inline-icon-right {
	display: inline-block;
	margin-left: 0.5em;
}

// Reset margin, padding

%reset {
	margin: 0;
	padding: 0;
}

// Reset list (vertical list)

%reset-list {
	ul, ul li {
		list-style: none;
		
		@extend %reset;
	}
}

// Reset list (horizontal list)

%reset-list-horizontal {
	@extend %reset-list;
	
	ul li {
		float: left;
		display: block;
	}
}
